%define		gem_name		zoom

%if 0%{?fedora} < 19
%define		rubyabi		1.9.1
%endif


Name:		rubygem-%{gem_name}
Version:	0.4.1
Release:	19%{?dist}
Group:		Development/Languages
Summary:	Ruby binding to ZOOM

License:	LGPLv2+
URL:		http://ruby-zoom.rubyforge.org/
Source0:	http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
Patch0:		zoom-0.4.1-cert-chain-must-not-be-nil.patch
Patch1:		zoom-0.4.1-authors.patch
# Use abort() instead of break
Patch2:		zoom-0.4.1-use-abort.patch
# Somehow, a newline '\n' character shows up in the result of yaz-config --cflags.
# We use tr to replace any newline characters with " " so as to not break the Makefile
Patch3:		zoom-0.4.1-no-newline.patch
# Fixes for Ruby 1.9
Patch4:		zoom-0.4.1-ruby19.patch

%if 0%{?fedora} >= 19
Requires:	ruby(release)
BuildRequires:	ruby(release)
%else
Requires:	ruby(abi) = %{rubyabi}
Requires:	ruby 
BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:	ruby 
%endif

BuildRequires:	rubygem(rake)
BuildRequires:	ruby-devel
BuildRequires:	rubygems-devel

BuildRequires:	libgcrypt-devel
BuildRequires:	libgpg-error-devel
BuildRequires:	libxslt-devel
BuildRequires:	libyaz-devel
BuildRequires:	tcp_wrappers-devel

Requires:	ruby(rubygems)

Provides:	rubygem(%{gem_name}) = %{version}-%{release}
# Obsolete but not provide
# Obsoletes: ruby(zoom) < 0.3.0 does not obsolete ruby-zoom
Obsoletes:	ruby-zoom < 0.3.0

%description
Ruby/ZOOM provides a Ruby binding to the Z39.50 Object-Orientation 
Model (ZOOM), an abstract object-oriented programming interface 
to a subset of the services specified by the Z39.50 standard, 
also known as the international standard ISO 23950.

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description	doc
This package contains documentation for %{name}.


%prep
%setup -q -c -T
TOPDIR=$(pwd)

mkdir TMP
cd TMP

gem unpack %{SOURCE0}
cd %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%if 0%{?fedora} < 19
%patch0 -p1
%patch1 -p1
%else
sed -i -e '/s\.date =/s|^\(.*\)$|\1\n  s.authors= ["Laurent Sansonetti"]|' \
	%{gem_name}.gemspec
%endif
%patch2 -p1 -b .use-abort
%patch3 -p1 -b .no-newline
%patch4 -p1 -b .ruby19

%{_fixperms} .

gem build %{gem_name}.gemspec
cp -p ./%{gem_name}-%{version}.gem $TOPDIR

%build
%gem_install

chmod 0644 ./%{gem_cache}
find . -type f -print0 | xargs --null chmod ugo+r

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

# If there are C extensions, mv them to the extdir.
# $REQUIRE_PATHS is taken from the first value of the require_paths field in
# the gemspec file.  It will typically be either "lib" or "ext".  For instance:
#  s.require_paths = ["lib"] 
%if 0%{?fedora} >= 17
mkdir -p %{buildroot}%{gem_extdir_mri}/lib
mv %{buildroot}%{gem_instdir}/lib/%{gem_name}.so %{buildroot}%{gem_extdir_mri}/lib/
%else
mkdir -p %{buildroot}%{ruby_sitearch}
mv %{buildroot}%{gem_instdir}/lib/%{gem_name}.so %{buildroot}%{ruby_sitearch}
%endif

# clean the built bits out
rm -rf %{buildroot}%{gem_dir}/gems/%{gem_name}-%{version}/src/

rm -rf %{buildroot}%{gem_instdir}/.yardoc

%check
# Net connection needed, disabling now.
ping -c 3 fedoraproject.org || exit 0
pushd .%{gem_instdir}
for test in test/*_test.rb
do
  ruby -Ilib -rzoom -rtest/unit $f || echo "Please examine this"
done

%files
%dir %{gem_extdir_mri}
%dir %{gem_extdir_mri}/lib
%{gem_extdir_mri}/lib/%{gem_name}.so
%dir %{gem_instdir}/
%doc %{gem_instdir}/[A-Z]*
%{gem_cache}
%{gem_spec}

%files doc
%defattr(-,root,root,-)
%{gem_docdir}/
%{gem_instdir}/Rakefile
%{gem_instdir}/sample/
%{gem_instdir}/test/

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar  8 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.4.1-18
- F-19: Rebuild for ruby 2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr  8 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.4.1-15
- Fix packaging to really work properly

* Fri Mar 23 2012 Tom Callaway <spot@fedoraproject.org> - 0.4.1-14
- get this thing working

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jun 26 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.4.1-12
- Fix permission

* Sun Jun 05 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.4.1-11
- Simplify packaging

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec  7 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-9
- Add more BRs

* Thu Apr  8 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-14: rebuild for new yaz

* Sat Sep 19 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-7
- Fix permission

* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-6
- F-12: Mass rebuild

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-5
- %%global-ize "nested" macro

* Mon Oct 27 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-4
- Better way to set CFLAGS and create debuginfo rpm correctly

* Wed Oct  8 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-3
- Split out unneeded files in better way

* Sat Feb  9 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Rebuild against gcc43

* Thu Dec  6 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-2.dist.2
- Rebuild against new openssl

* Wed Nov 21 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-2
- 0.4.1
- Also update URL

* Tue Nov 13 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3.0-1
- 0.3.0, switch to gem.

* Sun Nov  4 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.3-1
- 0.2.3

* Wed Aug 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.2-3.dist.2
- Mass rebuild (buildID or binutils issue)

* Fri Aug  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.2-3.dist.1
- License update

* Sat Jun 16 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.2-3
- Rebuild (against new yaz)

* Sat Apr 28 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.2-2
- Add more documents

* Sat Apr 21 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.2-1
- Initial packaging
